Package net.md_5.bungee.api.dialog.input

# Class InputOption

java.lang.Object
net.md_5.bungee.api.dialog.input.InputOption

public class InputOption extends Object
Represents an option choice which may form part of a `SingleOptionInput`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputOption(@NonNull String id)`
  `InputOption(@NonNull String id, BaseComponent display, Boolean initial)`
  Creates a new `InputOption` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `BaseComponent`
  `display()`
  The text to display for this option.
  `InputOption`
  `display(BaseComponent display)`
  The text to display for this option.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `@NonNull String`
  `id()`
  The string value associated with this option, to be submitted when selected.
  `InputOption`
  `id(@NonNull String id)`
  The string value associated with this option, to be submitted when selected.
  `Boolean`
  `initial()`
  Whether this option is the one initially selected.
  `InputOption`
  `initial(Boolean initial)`
  Whether this option is the one initially selected.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputOption

    public InputOption(@NonNull @NonNull String id)

  - ### InputOption

    public InputOption(@NonNull @NonNull String id, BaseComponent display, Boolean initial)
    Creates a new `InputOption` instance.
    Parameters:
      `id` - The string value associated with this option, to be submitted when selected.
      `display` - The text to display for this option.
      `initial` - Whether this option is the one initially selected. Only one option may have this value as true (default: first option).

- ## Method Details

  - ### id

    @NonNull public @NonNull String id()
    The string value associated with this option, to be submitted when selected.

  - ### display

    public BaseComponent display()
    The text to display for this option.

  - ### initial

    public Boolean initial()
    Whether this option is the one initially selected. Only one option may have this value as true (default: first option).

  - ### id

    public InputOption id(@NonNull @NonNull String id)
    The string value associated with this option, to be submitted when selected.
    Returns:
      `this`.

  - ### display

    public InputOption display(BaseComponent display)
    The text to display for this option.
    Returns:
      `this`.

  - ### initial

    public InputOption initial(Boolean initial)
    Whether this option is the one initially selected. Only one option may have this value as true (default: first option).
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`